Skip to main content

Version: 20.11 (EOL)

GET Application Package

Return the application package archive for the specified organization code and application package name.

info

The Application Package REST API Overview provides an introduction to this REST API, including information about:

  • Security (authentication and authorization)

Request​

HTTP request​

https://<JM_SERVER>/manager/secure/rest/application-package/v1/<CLIENT_CODE>/<APPLICATION_NAME>/

Parameters​

The available request parameters are as follows.

ParameterDescription
includeAllVersionsWhether all form versions are included in the application archive, or only the current form version for each form.
Values: true, false

Request body​

Do not supply a request body for this operation.

Example​

An example GET Application Package request is shown below.

GET https://transact.maguire.com/manager/secure/rest/application-package/v1/maguire/my-app/

Response​

If successful, this operation returns a response with a HTTP 200 OK status code.

Example​

The service returns an application package archive file. This is the same kind of archive file that can be obtained by exporting the application package from the Journey Manager management console.

Relevant response headers include:

Content-Disposition attachment;filename="application-package-archive-My_Application_1-2017-03-01.zip"
Content-Length 1573905
Content-Type application/zip